Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3774 - Reference to Member Function
Summary: Reference to Member Function
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: egcs
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-28 07:58 UTC by stephen.morton
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-06 14:47:26 UTC


Attachments (Terms of Use)

Description stephen.morton 1999-06-28 07:58:31 UTC
After the following declarations -
typedef void (class_y::*state_entry_proc) ();
state_entry_proc ref_proc = class_y::public_proc;

- the following code in a "class_y" member function -
void class_y::any_proc () {
   ref_proc ();
};

- gives a compile error (must use ->* or .* to call member
function).

Comment 1 Cristian Gafton 1999-07-02 20:48:59 UTC
Assigned to pbrown. My eyes hurt.

Comment 2 Preston Brown 1999-07-06 14:47:59 UTC
ouch.  So do mine.  This rather convoluted bit of code will certainly
be difficult for the compiler maintainers to fix, but I do suggest you
report it to the egcs team.  Again, a bug of this magnitude is
currently beyond our abilities to repair.  All we can do is wait for
the next compiler release.


Note You need to log in before you can comment on or make changes to this bug.